> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete products

> Delete products by their external IDs. This endpoint only deletes products.



## OpenAPI

````yaml /openapi.json post /api/public/product/delete/{promptBlockId}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/product/delete/{promptBlockId}:
    post:
      tags:
        - Product
      summary: Delete products
      description: >-
        Delete products by their external IDs. This endpoint only deletes
        products.
      operationId: PublicProductController_deleteProducts
      parameters:
        - name: promptBlockId
          required: true
          in: path
          description: The prompt block ID from which to delete the products
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: The payload with external IDs of products to delete
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicDeleteProducts'
      responses:
        '201':
          description: Products deleted successfully.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.
        '403':
          description: Forbidden.
components:
  schemas:
    PublicDeleteProducts:
      type: array
      minItems: 1
      items:
        type: object
        properties:
          external_id:
            description: External ID of product to delete
            type: string
            minLength: 1
        required:
          - external_id

````